SystemOrganization addCategory: #'Orange-Application'!

ALApplication subclass: #ORAuthenticationApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORAuthenticationApplication commentStamp: 'chc 6/17/2015 11:32' prior: 0!
Execute to start: 

	| athenticator app | 
	authenticator := ALMemoryAuthenticator new. 
	authenticator register: 'chriscunnington'
 					username: 'brasspen'
 					password: 'glassglobe9'.
	app := ALExampleApplication new.
	app addFactory: [:term | ALAuthenticationRelay destination: term
						authenticator: authenticator 
						shunt: nil].
	(ALServer on: 8624 application: app) start!

!ORAuthenticationApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 11:32'!
initializeLocator
"	locator 
		at: ALPath root 
		put: OOHead new asResource.
	locator 
		at: ALPath root / 'admin'
		put: OOAdmin new asResource.
	"! !

ALApplication subclass: #ORExampleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORExampleApplication commentStamp: 'chc 6/17/2015 11:27' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

Execute to start: 

	|app|
	app := ORExampleApplication new.
	(ALServer on: 8624 application: app) start!

!ORExampleApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 11:23'!
initializeLocator
	locator 
		at: ALPath root 
		put: ORExamplePage new asResource.
	"locator 
		at: ALPath root / 'source'
		put: (ORUploadResource component: OPDirectoryContents new)"! !

ALApplication subclass: #ORHelloWorldApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORHelloWorldApplication commentStamp: 'chc 6/17/2015 11:16' prior: 0!
Execute to start:  

	|app|
	app := ORHelloWorldApplication new.
	(ALServer on: 8624 application: app) start!

!ORHelloWorldApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initializeLocator
	locator 
		at: ALPath root 
		put: ORHead new asResource
	
		! !

ALApplication subclass: #ORSimplerHelloWorldApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORSimplerHelloWorldApplication commentStamp: 'chc 6/17/2015 11:16' prior: 0!
Execute to start: 
	
	|app|
	app := ORSimplerHelloWorldApplication new.
	(ALServer on: 8624 application: app) start
!

!ORSimplerHelloWorldApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:58'!
initializeLocator
	locator 
		at: ALPath root 
		put: (ALHtmlResource component: ORSimplerHelloWorldPage new)

		! !
